// ===========================================================================
// CONTENT  : INTERFACE IDependencyFilter
// AUTHOR   : M.Duchrow
// VERSION  : 1.0 - 12/01/2007
// HISTORY  :
//  12/01/2007  mdu  CREATED
//
// Copyright (c) 2007, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.odem;

/**
 * Simple filter for IDependency objects
 *
 * @author M.Duchrow
 * @version 1.0
 */
@SuppressWarnings("rawtypes")
public interface IDependencyFilter<D extends IDependency>
{
  /**
   * Returns true if the given dependency matches the filter, otherwise false.
   */
  public boolean matches(D dependency);

}